Jump to content

Current versions of ESET Endpoint for Mac and ECA, ERA 6.x and ESMC 7.0 Management Agents will not support the upcoming macOS 10.15 Catalina


TomasP
 Share

Recommended Posts

  • ESET Moderators

Hello,

We have published an important article about supporting our products on the upcoming macOS 10.15 Catalina.

It is available in your ESMC/ECA webconsoles, but we would like to bring your attention to it here as well.

All the details and necessary steps are described at https://support.eset.com/news7326/

Regards,
Tomas

Link to comment
Share on other sites

  • 2 months later...

What do we do if someone's already upgraded to Catalina before we had time to update their eset? Now they are using the Catalina OS and ESET is not connecting. How do I resolve that issue?

Link to comment
Share on other sites

Hello

I have used eset security för a long time. When i upgraded to MacOS Catalina it didnt work any longer. I uninstalled Eset. Now i tried to install the upgraded version of Eset but it wont install. 

What can i do? Image for info. 

System.jpg

Link to comment
Share on other sites

  • ESET Staff
On 10/31/2019 at 8:23 PM, Avalon IT said:

What do we do if someone's already upgraded to Catalina before we had time to update their eset? Now they are using the Catalina OS and ESET is not connecting. How do I resolve that issue?

technically you have to upgrade ESMC Agent installed on affected system. As upgrade using client task  won't work, remaining possibilities are:

  • re-execute live installer on affected client to install new version over old one.
  • run installer (DMG) file manually over already installed ESMC Agent (during installation, all settings should remainig as they were before)
  • re-run remote deployment to affected machine, which will install latest ESMC Agent via SSH
Link to comment
Share on other sites

  • 10 months later...
  • ESET Moderators

Hello @j-gray, our KB backend underwent some changes since then and, unfortunately, not all links were preserved, sorry about that.

Here is the working link to that content: https://support.eset.com/en/news7335-11th-of-october-2019-eset-business-products-support-for-macos-1015-catalina

However, that story is over 1 year old, all our current products for macOS run on 10.15.

Link to comment
Share on other sites

4 minutes ago, TomasP said:

Hello @j-gray, our KB backend underwent some changes since then and, unfortunately, not all links were preserved, sorry about that.

Here is the working link to that content: https://support.eset.com/en/news7335-11th-of-october-2019-eset-business-products-support-for-macos-1015-catalina

However, that story is over 1 year old, all our current products for macOS run on 10.15.

Thanks. I just came across this while researching, because we're getting the legacy extension compatibility error noted here.

Link to comment
Share on other sites

  • ESET Moderators

That's not related to the linked content, though.

The message you're seeing warns you that the current product version is not compatible with the upcoming macOS version, Big Sur. By the time Apple releases that OS version, though, we will have a compatible product version available.

Link to comment
Share on other sites

  • Marcos unpinned this topic
Guest
This topic is now closed to further replies.
 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...